<?php
$ds = DIRECTORY_SEPARATOR;
require_once __DIR__ . "/../vendor/composer/ClassLoader.php";

$appPath = realpath(__DIR__ . $ds . ".." . $ds . "src");
$generatedPath = realpath(__DIR__ . $ds . ".." . $ds . "gen");

$classLoader = new \Composer\Autoload\ClassLoader();
function registerNamespace($namespace, $path,\Composer\Autoload\ClassLoader $classLoader) {
    $classLoader->add($namespace, $path);
}

registerNamespace('Controller', $appPath,$classLoader);
registerNamespace('Exception', $appPath,$classLoader);
registerNamespace('Factory', $appPath,$classLoader);
registerNamespace('Service', $appPath,$classLoader);
registerNamespace('Traits', $appPath,$classLoader);
registerNamespace('Setforms2', $appPath,$classLoader);
registerNamespace('Util', $appPath,$classLoader);
registerNamespace('Generated', $generatedPath,$classLoader);
$classLoader->register(true);
